
CREATE TABLE CPRAMAQL (
       AMAQL_EMPRESA         CHAR(2)  NOT NULL,
       AMAQL_UNIDADE         CHAR(8)  NOT NULL,
       AMAQL_RECURSO         CHAR(15) NOT NULL,
       AMAQL_QUALIFICACAO    CHAR(2)  NOT NULL,
       AMAQL_DATA_REV        CHAR(8)  NOT NULL );

CREATE UNIQUE INDEX CPR1MAQL ON CPRAMAQL ( AMAQL_EMPRESA,
                                           AMAQL_UNIDADE,
                                           AMAQL_RECURSO,
                                           AMAQL_QUALIFICACAO );
CREATE        INDEX CPR2MAQL ON CPRAMAQL ( AMAQL_EMPRESA,
                                           AMAQL_UNIDADE,
                                           AMAQL_RECURSO );
CREATE        INDEX CPR3MAQL ON CPRAMAQL ( AMAQL_QUALIFICACAO );
GRANT ALL ON CPRAMAQL TO BYTEC;


DROP VIEW DELVQUAL;

CREATE VIEW DELVQUAL (
            QUALIFICACAO,
            COD_REG_TABELA,
            NRO_REG_TABELA )
  AS SELECT AFOSC_QUALIFICACAO,'FOSC',COUNT(*)
            FROM ENGAFOSC
            GROUP BY AFOSC_QUALIFICACAO UNION
     SELECT AOPFO_QUALIFICACAO,'OPFO',COUNT(*)
            FROM CPRAOPFO
            GROUP BY AOPFO_QUALIFICACAO UNION
     SELECT AMAQL_QUALIFICACAO,'MAQL',COUNT(*)
            FROM CPRAMAQL
            GROUP BY AMAQL_QUALIFICACAO;

GRANT ALL ON DELVQUAL TO BYTEC;


