
CREATE TABLE GRLWMATR (
       AMATR_MATRICULA       CHAR(15)  NOT NULL,
       AMATR_NOME            CHAR(80)  NOT NULL,
       AMATR_ABREVIADA       CHAR(20)  NOT NULL,
       AMATR_SENHA           CHAR(8)   NOT NULL,
       AMATR_RENOVA          CHAR(8)   NOT NULL,
       AMATR_PRIORIDADE      CHAR(1)   NOT NULL,
       AMATR_SELETOR         CHAR(4)   NOT NULL,
       AMATR_ORGAO           CHAR(8)   NOT NULL,
       AMATR_GRUPO           CHAR(2)   NOT NULL,
       AMATR_TEXTO_01        CHAR(1)   NOT NULL,
       AMATR_TEXTO_02        CHAR(1)   NOT NULL,
       AMATR_TEXTO_03        CHAR(1)   NOT NULL,
       AMATR_TEXTO_04        CHAR(1)   NOT NULL,
       AMATR_TEXTO_05        CHAR(1)   NOT NULL,
       AMATR_TEXTO_06        CHAR(1)   NOT NULL,
       AMATR_TEXTO_07        CHAR(1)   NOT NULL,
       AMATR_TEXTO_08        CHAR(1)   NOT NULL,
       AMATR_TEXTO_09        CHAR(1)   NOT NULL,
       AMATR_TEXTO_10        CHAR(1)   NOT NULL,
       AMATR_PROGRAMA1       CHAR(8)   NOT NULL,
       AMATR_PROGRAMA2       CHAR(8)   NOT NULL,
       AMATR_PROGRAMA3       CHAR(8)   NOT NULL,
       AMATR_PROGRAMA4       CHAR(8)   NOT NULL,
       AMATR_PROGRAMA5       CHAR(8)   NOT NULL,
       AMATR_EMAIL           CHAR(50)  NOT NULL,
       AMATR_DILI            CHAR(2)   NOT NULL,
       AMATR_PRGR            CHAR(2)   NOT NULL,
       AMATR_COOR            CHAR(2)   NOT NULL,
       AMATR_CMPR            CHAR(2)   NOT NULL,
       AMATR_STS_ATIVA       CHAR(1)   NOT NULL );

INSERT INTO GRLWMATR SELECT AMATR_MATRICULA,AMATR_NOME,AMATR_ABREVIADA,
AMATR_SENHA,'00000000',AMATR_PRIORIDADE,AMATR_SELETOR,AMATR_ORGAO,AMATR_GRUPO,
AMATR_TEXTO_01,AMATR_TEXTO_02,AMATR_TEXTO_03,AMATR_TEXTO_04,AMATR_TEXTO_05,
AMATR_TEXTO_06,AMATR_TEXTO_07,AMATR_TEXTO_08,AMATR_TEXTO_09,AMATR_TEXTO_10,
AMATR_PROGRAMA1,AMATR_PROGRAMA2,AMATR_PROGRAMA3,AMATR_PROGRAMA4,AMATR_PROGRAMA5,
AMATR_EMAIL,AMATR_DILI,AMATR_PRGR,AMATR_COOR,AMATR_CMPR,AMATR_STS_ATIVA 
FROM GRLAMATR;

DROP TABLE GRLAMATR;

CREATE TABLE GRLAMATR (
       AMATR_MATRICULA       CHAR(15)  NOT NULL,
       AMATR_NOME            CHAR(80)  NOT NULL,
       AMATR_ABREVIADA       CHAR(20)  NOT NULL,
       AMATR_SENHA           CHAR(8)   NOT NULL,
       AMATR_RENOVA          CHAR(8)   NOT NULL,
       AMATR_PRIORIDADE      CHAR(1)   NOT NULL,
       AMATR_SELETOR         CHAR(4)   NOT NULL,
       AMATR_ORGAO           CHAR(8)   NOT NULL,
       AMATR_GRUPO           CHAR(2)   NOT NULL,
       AMATR_TEXTO_01        CHAR(1)   NOT NULL,
       AMATR_TEXTO_02        CHAR(1)   NOT NULL,
       AMATR_TEXTO_03        CHAR(1)   NOT NULL,
       AMATR_TEXTO_04        CHAR(1)   NOT NULL,
       AMATR_TEXTO_05        CHAR(1)   NOT NULL,
       AMATR_TEXTO_06        CHAR(1)   NOT NULL,
       AMATR_TEXTO_07        CHAR(1)   NOT NULL,
       AMATR_TEXTO_08        CHAR(1)   NOT NULL,
       AMATR_TEXTO_09        CHAR(1)   NOT NULL,
       AMATR_TEXTO_10        CHAR(1)   NOT NULL,
       AMATR_PROGRAMA1       CHAR(8)   NOT NULL,
       AMATR_PROGRAMA2       CHAR(8)   NOT NULL,
       AMATR_PROGRAMA3       CHAR(8)   NOT NULL,
       AMATR_PROGRAMA4       CHAR(8)   NOT NULL,
       AMATR_PROGRAMA5       CHAR(8)   NOT NULL,
       AMATR_EMAIL           CHAR(50)  NOT NULL,
       AMATR_DILI            CHAR(2)   NOT NULL,
       AMATR_PRGR            CHAR(2)   NOT NULL,
       AMATR_COOR            CHAR(2)   NOT NULL,
       AMATR_CMPR            CHAR(2)   NOT NULL,
       AMATR_STS_ATIVA       CHAR(1)   NOT NULL );

INSERT INTO GRLAMATR SELECT * FROM GRLWMATR;

CREATE UNIQUE INDEX GRL1MATR ON GRLAMATR ( AMATR_MATRICULA );
CREATE        INDEX GRL2MATR ON GRLAMATR ( AMATR_ORGAO );
CREATE        INDEX GRL3MATR ON GRLAMATR ( AMATR_GRUPO );
CREATE        INDEX GRL4MATR ON GRLAMATR ( AMATR_DILI );
CREATE        INDEX GRL5MATR ON GRLAMATR ( AMATR_PRGR );
CREATE        INDEX GRL6MATR ON GRLAMATR ( AMATR_COOR );
CREATE        INDEX GRL7MATR ON GRLAMATR ( AMATR_CMPR );
GRANT ALL ON GRLAMATR TO BYTEC;

DROP TABLE GRLWMATR;

COMMIT;

