
CREATE TABLE ADMANRRF (
       ANRRF_EMPRESA         CHAR(2)   NOT NULL,
       ANRRF_UNIDADE         CHAR(8)   NOT NULL,
       ANRRF_NUM_NRM         CHAR(10)  NOT NULL,
       ANRRF_TIPO_NREF       CHAR(1)   NOT NULL,
       ANRRF_NUM_NREF        CHAR(10)  NOT NULL,
       ANRRF_DATA_ULT_ALT    CHAR(8)   NOT NULL );

CREATE UNIQUE INDEX ADM1NRRF  ON ADMANRRF ( ANRRF_EMPRESA,
                                            ANRRF_UNIDADE,
                                            ANRRF_NUM_NRM,
                                            ANRRF_TIPO_NREF,
                                            ANRRF_NUM_NREF );
CREATE        INDEX ADM2NRRF  ON ADMANRRF ( ANRRF_EMPRESA,
                                            ANRRF_UNIDADE,
                                            ANRRF_TIPO_NREF,
                                            ANRRF_NUM_NREF,
                                            ANRRF_NUM_NRM );
GRANT ALL ON ADMANRRF TO BYTEC;

COMMIT;

INSERT INTO ADMANRRF SELECT ANRNF_EMPRESA,ANRNF_UNIDADE,
ANRNF_NRM,ANRNF_TIPO_NOTA,ANRNF_NUM_NOTA,MAX(ANRNF_DATA_ULT_ALT) 
FROM ADMANRNF GROUP BY ANRNF_EMPRESA,ANRNF_UNIDADE,
ANRNF_NRM,ANRNF_TIPO_NOTA,ANRNF_NUM_NOTA;

COMMIT;

CREATE        INDEX ADM15NRMC ON ADMANRMC ( ANRMC_EMPRESA,
                                            ANRMC_UNIDADE,
                                            ANRMC_CHAVE_NFE );
GRANT ALL ON ADMANRMC TO BYTEC;

CREATE        INDEX VND34NFCD ON VNDANFCD ( ANFCD_EMPRESA,
                                            ANFCD_UNIDADE,
                                            ANFCD_CHAVE_NFE );
GRANT ALL ON VNDANFCD TO BYTEC;

COMMIT;

