
CREATE TABLE SUPWOCDI (
       AOCDI_EMPRESA         CHAR(2)   NOT NULL,
       AOCDI_UNIDADE         CHAR(8)   NOT NULL,
       AOCDI_TIPO_OC         CHAR(1)   NOT NULL,
       AOCDI_OC              CHAR(10)  NOT NULL,
       AOCDI_LINHA_OC        CHAR(2)   NOT NULL,
       AOCDI_PARCELA         CHAR(2)   NOT NULL,
       AOCDI_NUM_GUIA        CHAR(15)  NOT NULL,
       AOCDI_DATA_VENCIM     CHAR(8)   NOT NULL,
       AOCDI_DATA_REMESSA    CHAR(8)   NOT NULL,
       AOCDI_DATA_PERD       CHAR(8)   NOT NULL,
       AOCDI_DATA_EMB        CHAR(8)   NOT NULL,
       AOCDI_GUIA            CHAR(10)  NOT NULL,
       AOCDI_VALOR_GUIA      DEC(12,2) NOT NULL,
       AOCDI_DESPACHANTE     CHAR(10)  NOT NULL,
       AOCDI_LOCAL_EMB       CHAR(20)  NOT NULL,
       AOCDI_LOCAL_ARM       CHAR(20)  NOT NULL,
       AOCDI_VLR_DESP_01     DEC(12,2) NOT NULL,
       AOCDI_VLR_DESP_02     DEC(12,2) NOT NULL,
       AOCDI_VLR_DESP_03     DEC(12,2) NOT NULL,
       AOCDI_VLR_DESP_04     DEC(12,2) NOT NULL,
       AOCDI_VLR_DESP_05     DEC(12,2) NOT NULL,
       AOCDI_VLR_DESP_06     DEC(12,2) NOT NULL,
       AOCDI_VLR_DESP_07     DEC(12,2) NOT NULL,
       AOCDI_VLR_DESP_08     DEC(12,2) NOT NULL,
       AOCDI_VLR_DESP_09     DEC(12,2) NOT NULL,
       AOCDI_VLR_DESP_10     DEC(12,2) NOT NULL,
       AOCDI_VLR_DESP_11     DEC(12,2) NOT NULL,
       AOCDI_VLR_DESP_12     DEC(12,2) NOT NULL,
       AOCDI_VLR_DESP_13     DEC(12,2) NOT NULL,
       AOCDI_VLR_DESP_14     DEC(12,2) NOT NULL,
       AOCDI_VLR_DESP_15     DEC(12,2) NOT NULL,
       AOCDI_VLR_DESP_16     DEC(12,2) NOT NULL );

CREATE TABLE VNDWNFAI (
       ANFAI_EMPRESA         CHAR(2)   NOT NULL,
       ANFAI_UNIDADE         CHAR(8)   NOT NULL,
       ANFAI_TIPO_NOTA       CHAR(1)   NOT NULL,
       ANFAI_NUM_NOTA        CHAR(10)  NOT NULL,
       ANFAI_LINHA_NOTA      CHAR(2)   NOT NULL,
       ANFAI_NUM_GUIA        CHAR(15)  NOT NULL,
       ANFAI_NRO_ADICAO      CHAR(3)   NOT NULL,
       ANFAI_SEQ_ADICAO      CHAR(5)   NOT NULL,
       ANFAI_TIPO_FABR       CHAR(1)   NOT NULL,
       ANFAI_COD_FABR        CHAR(5)   NOT NULL,
       ANFAI_DRAWBACK        CHAR(20)  NOT NULL,
       ANFAI_VALOR_DESC      DEC(12,2) NOT NULL );

CREATE TABLE VNDWNFDI (
       ANFDI_EMPRESA         CHAR(2)   NOT NULL,
       ANFDI_UNIDADE         CHAR(8)   NOT NULL,
       ANFDI_TIPO_NOTA       CHAR(1)   NOT NULL,
       ANFDI_NUM_NOTA        CHAR(10)  NOT NULL,
       ANFDI_LINHA_NOTA      CHAR(2)   NOT NULL,
       ANFDI_NUM_GUIA        CHAR(15)  NOT NULL,
       ANFDI_TIPO_GUIA       CHAR(1)   NOT NULL,
       ANFDI_DATA_GUIA       CHAR(8)   NOT NULL,
       ANFDI_DATA_DESEMB     CHAR(8)   NOT NULL,
       ANFDI_LOCAL_DESEMB    CHAR(20)  NOT NULL,
       ANFDI_UF_DESEMB       CHAR(2)   NOT NULL,
       ANFDI_VIA_TRANSP      CHAR(2)   NOT NULL,
       ANFDI_VALOR_AFRMM     DEC(12,2) NOT NULL,
       ANFDI_TIPO_IMPO       CHAR(1)   NOT NULL,
       ANFDI_CNPJ_TERC       CHAR(14)  NOT NULL,
       ANFDI_UF_TERC         CHAR(2)   NOT NULL,
       ANFDI_TIPO_EXP        CHAR(1)   NOT NULL,
       ANFDI_COD_EXP         CHAR(5)   NOT NULL );

INSERT INTO SUPWOCDI SELECT AOCDI_EMPRESA,AOCDI_UNIDADE,AOCDI_TIPO_OC,
AOCDI_OC,AOCDI_LINHA_OC,AOCDI_PARCELA,AOCDI_NUM_GUIA+'   ',AOCDI_DATA_VENCIM,
AOCDI_DATA_REMESSA,AOCDI_DATA_PERD,AOCDI_DATA_EMB,AOCDI_GUIA,AOCDI_VALOR_GUIA,
AOCDI_DESPACHANTE,AOCDI_LOCAL_EMB,AOCDI_LOCAL_ARM,AOCDI_VLR_DESP_01,
AOCDI_VLR_DESP_02,AOCDI_VLR_DESP_03,AOCDI_VLR_DESP_04,AOCDI_VLR_DESP_05,
AOCDI_VLR_DESP_06,AOCDI_VLR_DESP_07,AOCDI_VLR_DESP_08,AOCDI_VLR_DESP_09,
AOCDI_VLR_DESP_10,AOCDI_VLR_DESP_11,AOCDI_VLR_DESP_12,AOCDI_VLR_DESP_13,
AOCDI_VLR_DESP_14,AOCDI_VLR_DESP_15,AOCDI_VLR_DESP_16 FROM SUPAOCDI;

INSERT INTO VNDWNFAI SELECT ANFAI_EMPRESA,ANFAI_UNIDADE,ANFAI_TIPO_NOTA,
ANFAI_NUM_NOTA,ANFAI_LINHA_NOTA,ANFAI_NUM_GUIA+'   ',ANFAI_NRO_ADICAO,
'00'+ANFAI_SEQ_ADICAO,ANFAI_TIPO_FABR,ANFAI_COD_FABR,ANFAI_DRAWBACK,
ANFAI_VALOR_DESC FROM VNDANFAI;

INSERT INTO VNDWNFDI SELECT ANFDI_EMPRESA,ANFDI_UNIDADE,ANFDI_TIPO_NOTA,
ANFDI_NUM_NOTA,ANFDI_LINHA_NOTA,ANFDI_NUM_GUIA+'   ',ANFDI_TIPO_GUIA,
ANFDI_DATA_GUIA,ANFDI_DATA_DESEMB,ANFDI_LOCAL_DESEMB,ANFDI_UF_DESEMB,
ANFDI_VIA_TRANSP,ANFDI_VALOR_AFRMM,ANFDI_TIPO_IMPO,ANFDI_CNPJ_TERC,
ANFDI_UF_TERC,ANFDI_TIPO_EXP,ANFDI_COD_EXP FROM VNDANFDI;

DROP TABLE SUPAOCDI;

DROP TABLE VNDANFAI;

DROP TABLE VNDANFDI;

CREATE TABLE SUPAOCDI (
       AOCDI_EMPRESA         CHAR(2)   NOT NULL,
       AOCDI_UNIDADE         CHAR(8)   NOT NULL,
       AOCDI_TIPO_OC         CHAR(1)   NOT NULL,
       AOCDI_OC              CHAR(10)  NOT NULL,
       AOCDI_LINHA_OC        CHAR(2)   NOT NULL,
       AOCDI_PARCELA         CHAR(2)   NOT NULL,
       AOCDI_NUM_GUIA        CHAR(15)  NOT NULL,
       AOCDI_DATA_VENCIM     CHAR(8)   NOT NULL,
       AOCDI_DATA_REMESSA    CHAR(8)   NOT NULL,
       AOCDI_DATA_PERD       CHAR(8)   NOT NULL,
       AOCDI_DATA_EMB        CHAR(8)   NOT NULL,
       AOCDI_GUIA            CHAR(10)  NOT NULL,
       AOCDI_VALOR_GUIA      DEC(12,2) NOT NULL,
       AOCDI_DESPACHANTE     CHAR(10)  NOT NULL,
       AOCDI_LOCAL_EMB       CHAR(20)  NOT NULL,
       AOCDI_LOCAL_ARM       CHAR(20)  NOT NULL,
       AOCDI_VLR_DESP_01     DEC(12,2) NOT NULL,
       AOCDI_VLR_DESP_02     DEC(12,2) NOT NULL,
       AOCDI_VLR_DESP_03     DEC(12,2) NOT NULL,
       AOCDI_VLR_DESP_04     DEC(12,2) NOT NULL,
       AOCDI_VLR_DESP_05     DEC(12,2) NOT NULL,
       AOCDI_VLR_DESP_06     DEC(12,2) NOT NULL,
       AOCDI_VLR_DESP_07     DEC(12,2) NOT NULL,
       AOCDI_VLR_DESP_08     DEC(12,2) NOT NULL,
       AOCDI_VLR_DESP_09     DEC(12,2) NOT NULL,
       AOCDI_VLR_DESP_10     DEC(12,2) NOT NULL,
       AOCDI_VLR_DESP_11     DEC(12,2) NOT NULL,
       AOCDI_VLR_DESP_12     DEC(12,2) NOT NULL,
       AOCDI_VLR_DESP_13     DEC(12,2) NOT NULL,
       AOCDI_VLR_DESP_14     DEC(12,2) NOT NULL,
       AOCDI_VLR_DESP_15     DEC(12,2) NOT NULL,
       AOCDI_VLR_DESP_16     DEC(12,2) NOT NULL );

CREATE TABLE VNDANFAI (
       ANFAI_EMPRESA         CHAR(2)   NOT NULL,
       ANFAI_UNIDADE         CHAR(8)   NOT NULL,
       ANFAI_TIPO_NOTA       CHAR(1)   NOT NULL,
       ANFAI_NUM_NOTA        CHAR(10)  NOT NULL,
       ANFAI_LINHA_NOTA      CHAR(2)   NOT NULL,
       ANFAI_NUM_GUIA        CHAR(15)  NOT NULL,
       ANFAI_NRO_ADICAO      CHAR(3)   NOT NULL,
       ANFAI_SEQ_ADICAO      CHAR(5)   NOT NULL,
       ANFAI_TIPO_FABR       CHAR(1)   NOT NULL,
       ANFAI_COD_FABR        CHAR(5)   NOT NULL,
       ANFAI_DRAWBACK        CHAR(20)  NOT NULL,
       ANFAI_VALOR_DESC      DEC(12,2) NOT NULL );

CREATE TABLE VNDANFDI (
       ANFDI_EMPRESA         CHAR(2)   NOT NULL,
       ANFDI_UNIDADE         CHAR(8)   NOT NULL,
       ANFDI_TIPO_NOTA       CHAR(1)   NOT NULL,
       ANFDI_NUM_NOTA        CHAR(10)  NOT NULL,
       ANFDI_LINHA_NOTA      CHAR(2)   NOT NULL,
       ANFDI_NUM_GUIA        CHAR(15)  NOT NULL,
       ANFDI_TIPO_GUIA       CHAR(1)   NOT NULL,
       ANFDI_DATA_GUIA       CHAR(8)   NOT NULL,
       ANFDI_DATA_DESEMB     CHAR(8)   NOT NULL,
       ANFDI_LOCAL_DESEMB    CHAR(20)  NOT NULL,
       ANFDI_UF_DESEMB       CHAR(2)   NOT NULL,
       ANFDI_VIA_TRANSP      CHAR(2)   NOT NULL,
       ANFDI_VALOR_AFRMM     DEC(12,2) NOT NULL,
       ANFDI_TIPO_IMPO       CHAR(1)   NOT NULL,
       ANFDI_CNPJ_TERC       CHAR(14)  NOT NULL,
       ANFDI_UF_TERC         CHAR(2)   NOT NULL,
       ANFDI_TIPO_EXP        CHAR(1)   NOT NULL,
       ANFDI_COD_EXP         CHAR(5)   NOT NULL );

INSERT INTO SUPAOCDI SELECT * FROM SUPWOCDI;

INSERT INTO VNDANFAI SELECT * FROM VNDWNFAI;

INSERT INTO VNDANFDI SELECT * FROM VNDWNFDI;

CREATE UNIQUE INDEX SUP1OCDI ON SUPAOCDI ( AOCDI_EMPRESA,
                                           AOCDI_UNIDADE,
                                           AOCDI_TIPO_OC,
                                           AOCDI_OC,
                                           AOCDI_LINHA_OC,
                                           AOCDI_PARCELA,
                                           AOCDI_NUM_GUIA );
CREATE        INDEX SUP2OCDI ON SUPAOCDI ( AOCDI_DESPACHANTE );
CREATE        INDEX SUP3OCDI ON SUPAOCDI ( AOCDI_GUIA );
GRANT ALL ON SUPAOCDI TO BYTEC;

CREATE UNIQUE INDEX VND1NFAI ON VNDANFAI ( ANFAI_EMPRESA,
                                           ANFAI_UNIDADE,
                                           ANFAI_TIPO_NOTA,
                                           ANFAI_NUM_NOTA,
                                           ANFAI_LINHA_NOTA,
                                           ANFAI_NUM_GUIA,
                                           ANFAI_NRO_ADICAO,
                                           ANFAI_SEQ_ADICAO );
CREATE        INDEX VND2NFAI ON VNDANFAI ( ANFAI_EMPRESA,
                                           ANFAI_UNIDADE,
                                           ANFAI_TIPO_FABR,
                                           ANFAI_COD_FABR );
CREATE        INDEX VND3NFAI ON VNDANFAI ( ANFAI_TIPO_FABR,
                                           ANFAI_COD_FABR );
GRANT ALL ON VNDANFAI TO BYTEC;

CREATE UNIQUE INDEX VND1NFDI ON VNDANFDI ( ANFDI_EMPRESA,
                                           ANFDI_UNIDADE,
                                           ANFDI_TIPO_NOTA,
                                           ANFDI_NUM_NOTA,
                                           ANFDI_LINHA_NOTA,
                                           ANFDI_NUM_GUIA );
CREATE        INDEX VND2NFDI ON VNDANFDI ( ANFDI_EMPRESA,
                                           ANFDI_UNIDADE,
                                           ANFDI_NUM_GUIA );
CREATE        INDEX VND3NFDI ON VNDANFDI ( ANFDI_UF_DESEMB );
CREATE        INDEX VND4NFDI ON VNDANFDI ( ANFDI_EMPRESA,
                                           ANFDI_UNIDADE,
                                           ANFDI_TIPO_EXP,
                                           ANFDI_COD_EXP );
CREATE        INDEX VND5NFDI ON VNDANFDI ( ANFDI_TIPO_EXP,
                                           ANFDI_COD_EXP );
CREATE        INDEX VND6NFDI ON VNDANFDI ( ANFDI_VIA_TRANSP );
CREATE        INDEX VND7NFDI ON VNDANFDI ( ANFDI_UF_TERC );
GRANT ALL ON VNDANFDI TO BYTEC;

DROP TABLE SUPWOCDI;

DROP TABLE VNDWNFAI;

DROP TABLE VNDWNFDI;

COMMIT;

